<?php if(!defined('PURECLIENT_PATH')){die('Direct access not permitted');}

function pure_profiles_install() {
   global $wpdb;
   global $pure_profiles_db_version;

   $table_name = $wpdb->prefix . "pure_profiles_person";  
   $sql = "CREATE TABLE $table_name (
	  uuid varchar(40),
	  employeeid mediumint(9),
	  firstname tinytext NOT NULL,
	  lastname tinytext NOT NULL,	
	  callnamefirstname VARCHAR(150),
	  callnamelastname VARCHAR(150),	  
	  title VARCHAR (30),
	  photos TEXT,
	  retrieved varchar(30),	  
	  UNIQUE KEY uuid (uuid)
		);";
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );
	
   $table_name = $wpdb->prefix . "pure_profiles_person_information";  
   $sql = "CREATE TABLE $table_name (
	  id int(9) NOT NULL AUTO_INCREMENT,
	  personuuid varchar(40),
	  title VARCHAR(255),
	  content TEXT,
	  retrieved varchar(30),	  
	  UNIQUE KEY id (id)
		);";
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );	
	
	$table_name = $wpdb->prefix . "pure_profiles_organisation";  
	$sql = "CREATE TABLE $table_name (
	  uuid varchar(40),
	  organisationid VARCHAR(20),
	  organisationname tinytext NOT NULL,
	  organisationshortname tinytext NOT NULL,	  
	  typeclassificationid VARCHAR(255),
	  typeclassification VARCHAR(255) DEFAULT '' NOT NULL,
	  retrieved varchar(30),
	  UNIQUE KEY uuid (uuid)
		);";
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );	
	
	$table_name = $wpdb->prefix . "pure_profiles_organisation_association";  
	$sql = "CREATE TABLE $table_name (
	  id int(9) NOT NULL AUTO_INCREMENT,
	  personuuid varchar(40),
	  employeeid mediumint(9),
	  organisationuuid VARCHAR(40),
	  organisationid VARCHAR(20),
	  organisationname TINYTEXT NOT NULL,
	  organisationshortname tinytext NOT NULL,	  
	  organisationtypeclassificationid VARCHAR(255),
	  organisationtypeclassification VARCHAR(255) DEFAULT '' NOT NULL,	  
	  employmenttypeid mediumint(9),
	  employmenttype VARCHAR(255),
	  retrieved varchar(30),	  
	  UNIQUE KEY id (id)
		);";
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );		
	
	$table_name = $wpdb->prefix . "pure_profiles_staff_organisation_association";  
	$sql = "CREATE TABLE $table_name (
	  id int(9) NOT NULL AUTO_INCREMENT,
	  personuuid varchar(40),
	  employeeid mediumint(9),
	  organisationuuid VARCHAR(40),
	  jobdescription VARCHAR (255),
	  retrieved varchar(30),	  
	  UNIQUE KEY id (id)
		);";
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );	
	
 	$table_name = $wpdb->prefix . "pure_profiles_project";  
	$sql = "CREATE TABLE $table_name (
	  uuid varchar(40),
	  title VARCHAR(255),
	  startdate VARCHAR(255),
	  finishdate VARCHAR(255),
	  projectstatusid VARCHAR(10),
	  projectstatus VARCHAR(255),
	  typeclassificationid VARCHAR(20),
	  typeclassification VARCHAR(255),
	  retrieved varchar(30),
	  UNIQUE KEY uuid (uuid)
		);";
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );	
 
  	$table_name = $wpdb->prefix . "pure_profiles_project_person";  
	$sql = "CREATE TABLE $table_name (
	  id int(9) NOT NULL AUTO_INCREMENT,
	  personuuid varchar(40),
	  projectuuid varchar(40),
	  firstname VARCHAR(255),
	  lastname VARCHAR(255),
	  callname VARCHAR(255),
	  retrieved varchar(30),
	  UNIQUE KEY id (id)
		);";
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );	
	
	$table_name = $wpdb->prefix . "pure_profiles_project_organisation";  
	$sql = "CREATE TABLE $table_name (
	  uuid varchar(40),
	  organisationid VARCHAR(50),
	  organisationname VARCHAR(255),
	  retrieved varchar(30),
	  UNIQUE KEY uuid (uuid)
		);";
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );
 
 	$table_name = $wpdb->prefix . "pure_profiles_publication";  
	$sql = "CREATE TABLE $table_name (
	  uuid varchar(40),
	  title VARCHAR(255),
	  abstract TEXT,
	  originallanguage VARCHAR(50),
	  state VARCHAR(50),
	  dois TEXT,
	  numberofpages VARCHAR(50),
	  personuuid varchar(40),
	  publicationyear varchar(10),
	  publicationmonth varchar(10),
	  publicationday varchar(10),
	  volume VARCHAR(255),
	  journalnumber VARCHAR(50),
	  journalpages VARCHAR(255),
	  journaltitle VARCHAR(255),
	  journalissn VARCHAR(255),
	  retrieved varchar(30),
	  UNIQUE KEY uuid (uuid)
		);";
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );	
	
	$table_name = $wpdb->prefix . "pure_profiles_publication_person";  
	$sql = "CREATE TABLE $table_name (
	  id int(9) NOT NULL AUTO_INCREMENT,
	  personuuid varchar(40),
	  publicationuuid VARCHAR(40),
	  title VARCHAR(255),
	  firstname VARCHAR(255),
	  lastname VARCHAR(255),
	  personrole VARCHAR(255),
	  retrieved varchar(30),	  
	  UNIQUE KEY id (id)
		);";
	require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
	dbDelta( $sql );			
 
	add_option( "pure_profiles_db_version", $pure_profiles_db_version );
}